Bug 176299 - Missing Authority certificates
Missing Authority certificates
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 18:49 EST by Patrick
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-01 20:51:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick 2005-12-20 18:49:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051217 Fedora/1.5-3PL Firefox/1.5

Description of problem:
Fresh workstation install + some extra components of FC4 on an x86_64 laptop. Next did yum update. Once finished rebooted (selinux=0). When I start Evolution for the first time I configure a test account. Next in Evolution I go to Edit -> Preferences -> Certificates -> Authorities and it is empty. The same FC4 install on a x86 box has tons of certificates in Edit -> Preferences -> Certificates -> Authorities. So they seem to be missing.

Version-Release number of selected component (if applicable):
evolution-2.2.3-2

How reproducible:
Always

Steps to Reproduce:
1. fresh install of FC4 on an x86_64 box
2. yum update
3. add a test account to Evolution
  

Actual Results:  No Authority certificates in Evolution under Edit -> Preferences -> Certificates -> Authorities

Expected Results:  There should be tons of Authority certificates

Additional info:

I'm not sure if this is Evolution related as it might get its certificate stuff from somewhere else but I have to start somewhere. If not the right place, apologies for the noise. Would appreciate a pointer where to look, file a new bug or even how to fix it :)
Comment 1 Michel Alexandre Salim 2006-04-26 11:58:19 EDT
Also on FC5 (x86_64) with all updates applied. Are there only two Evo/x86-64 users?
Comment 2 Michel Alexandre Salim 2006-04-26 12:25:56 EDT
The culprit is the cert8.db file - for some reason the one that is by default
installed to ~/.evolution is empty, and the one I copied from Firefox appears
empty as well (even though Firefox has many certificate authorities listed).

I'm currently working around it by downloading the certificate authority files
for the authorities that sign the keys I need, but this is rather annoying.
Comment 3 Michel Alexandre Salim 2006-04-26 12:31:34 EDT
Correction: if all of cert8.db, key3.db and secmod.db are copied from a Firefox
profile, then Evolution sees the normal certificate authorities (copying
cert8.db is not enough).
Comment 4 Michel Alexandre Salim 2006-11-01 20:51:44 EST
Failed to notice when this get fixed, but it's been working for a long time now

Note You need to log in before you can comment on or make changes to this bug.